-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

package SIMON96_pkg is
	-- SIMON constants
	constant SIMON_WORD_SIZE				: integer := 48;
	constant SIMON_BLOCK_SIZE				: integer := 96;
	constant SIMON_KEY_SIZE				    : integer := 96;
    constant SIMON_ROUNDS                   : integer := 52; 
    constant ROUNDS_CNT_LEN                 : integer := 6;  -- nubmer of bits length of rounds counter
    
end SIMON96_pkg;